---
# Common configuration for all services
apiVersion: v1
kind: ConfigMap
metadata:
  name: app-config
  namespace: undateable
  labels:
    app.kubernetes.io/name: undateable
data:
  # OCI Configuration
  OCI_REGION: "us-ashburn-1"
  OCI_NAMESPACE: "idd2oizp8xvc"

  # Object Storage
  STORAGE_BUCKET: "undateable-uploads"
  STORAGE_TYPE: "oci"

  # Redis configuration
  REDIS_ENABLED: "false"
  REDIS_PORT: "6379"

  # Application settings
  APP_ENV: "production"
  APP_DEBUG: "false"
  LOG_LEVEL: "info"

  # Service discovery (Kubernetes DNS)
  AUTH_SERVICE_URL: "http://auth-service:8001"
  PROFILES_SERVICE_URL: "http://profiles-service:8002"
  MESSAGING_SERVICE_URL: "http://messaging-service:8003"
  BURN_SERVICE_URL: "http://burn-service:8004"
  WEBSOCKET_SERVICE_URL: "http://websocket-service:8005"

  # Domains
  DOMAIN_NAME: "undateable.me"
  BURNYOUREX_DOMAIN: "burnyourex.games"
  NERDYCUPID_AI_DOMAIN: "nerdycupid.ai"
  NERDYCUPID_IO_DOMAIN: "nerdycupid.io"
